Package wx :: Class PaletteChangedEvent

[frames | no frames]

## Type PaletteChangedEvent

    object --+
             |
        Object --+
                 |
             Event --+
                     |
                    PaletteChangedEvent

An EVT_PALETTE_CHANGED event is sent when the system palette has changed, thereby giving each window a chance to redo their own to match.

This event is implemented under Windows only.

Method Summary
PaletteChangedEvent | ``__init__`(self, id)` An EVT_PALETTE_CHANGED event is sent when the system palette has changed, thereby giving each window a chance to redo their own to match.
Window | `GetChangedWindow(self)`
| `SetChangedWindow(self, win)`

Property Summary
| `ChangedWindow`: See `GetChangedWindow` and `SetChangedWindow`
| `thisown`: The membership flag

Method Details

### __init__(self, id=0)
(Constructor)

An EVT_PALETTE_CHANGED event is sent when the system palette has changed, thereby giving each window a chance to redo their own to match.

This event is implemented under Windows only.

  Parameters:
    `id`
    (type=int)

  Returns:
    PaletteChangedEvent
  Overrides:
    `wx.Event.__init__`

Property Details

### ChangedWindow

See `GetChangedWindow` and `SetChangedWindow`

  Get Method:
    `GetChangedWindow`(self)
  Set Method:
    `SetChangedWindow`(self, win)

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:14:17 2007 | http://epydoc.sf.net